## pg-snakeoil 0.1~20181030.1027-1~2.git07461be.pgdg16.04+1

=== debian/changelog ===
pg-snakeoil (0.1~20181030.1027-1~2.git07461be.pgdg16.04+1) xenial-pgdg; urgency=medium

  * Rebuild for xenial-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Mon, 29 Oct 2018 15:17:35 +0100

pg-snakeoil (0.1-1) UNRELEASED; urgency=medium

  * Initial release.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 29 Oct 2018 15:17:35 +0100

## pg-snakeoil 0.1~20181030.1027-1~2.git07461be.pgdg18.04+1

=== Makefile ===
# pg_snakeoil/Makefile

MODULE_big = pg_snakeoil
OBJS = pg_snakeoil.o

EXTENSION = pg_snakeoil
DATA = pg_snakeoil--0.1.sql
PGFILEDESC = "pg_snakeoil - clamav antivirus integration"

REGRESS = pg_snakeoil

# Only works when using pgxs
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
PG_LIBS=-lclamav
SHLIB_LINK=-lclamav

=== debian/changelog ===
pg-snakeoil (0.1~20181030.1027-1~2.git07461be.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Mon, 29 Oct 2018 15:17:35 +0100

=== debian/control ===
Source: pg-snakeoil
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends:
 debhelper (>= 9),
 libclamav-dev,
 postgresql-server-dev-all (>= 153~),
Standards-Version: 4.2.1
Vcs-Browser: https://github.com/credativ/pg_snakeoil
Vcs-Git: https://github.com/credativ/pg_snakeoil.git

Package: postgresql-9.3-snakeoil
Architecture: any
Depends:
 clamav-freshclam | clamav-data,
 postgresql-9.3,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL anti-virus scanner based on ClamAV
 pg_snakeoil provides functions scanning PostgreSQL data for viruses using the
 ClamAV anti-virus engine.

Package: postgresql-9.4-snakeoil
Architecture: any
Depends:
 clamav-freshclam | clamav-data,
 postgresql-9.4,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL anti-virus scanner based on ClamAV
 pg_snakeoil provides functions scanning PostgreSQL data for viruses using the
 ClamAV anti-virus engine.

Package: postgresql-9.5-snakeoil
Architecture: any
Depends:
 clamav-freshclam | clamav-data,
 postgresql-9.5,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL anti-virus scanner based on ClamAV
 pg_snakeoil provides functions scanning PostgreSQL data for viruses using the
 ClamAV anti-virus engine.

Package: postgresql-9.6-snakeoil
Architecture: any
Depends:
 clamav-freshclam | clamav-data,
 postgresql-9.6,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL anti-virus scanner based on ClamAV
 pg_snakeoil provides functions scanning PostgreSQL data for viruses using the
 ClamAV anti-virus engine.

Package: postgresql-10-snakeoil
Architecture: any
Depends:
 clamav-freshclam | clamav-data,
 postgresql-10,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL anti-virus scanner based on ClamAV
 pg_snakeoil provides functions scanning PostgreSQL data for viruses using the
 ClamAV anti-virus engine.

Package: postgresql-11-snakeoil
Architecture: any
Depends:
 clamav-freshclam | clamav-data,
 postgresql-11,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL anti-virus scanner based on ClamAV
 pg_snakeoil provides functions scanning PostgreSQL data for viruses using the
 ClamAV anti-virus engine.

## pg-snakeoil 1.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,8 @@
 OBJS = pg_snakeoil.o
 
 EXTENSION = pg_snakeoil
-DATA = pg_snakeoil--0.1.sql
+DATA = pg_snakeoil--0.4--1.sql \
+       pg_snakeoil--1.sql
 PGFILEDESC = "pg_snakeoil - clamav antivirus integration"
 
 REGRESS = pg_snakeoil

=== debian/changelog ===
pg-snakeoil (1.1-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 04 Feb 2019 10:37:34 +0100

pg-snakeoil (1.1-1) unstable; urgency=medium

  * New upstream version, fixes compatibility with clamav 0.101.
  * Attribute Alexander Sosna's copyright.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 04 Feb 2019 10:37:34 +0100

pg-snakeoil (1.0-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 28 Jan 2019 14:06:57 +0100

=== debian/control ===
--- 
+++ 
@@ -10,17 +10,6 @@
 Standards-Version: 4.2.1
 Vcs-Browser: https://github.com/credativ/pg_snakeoil
 Vcs-Git: https://github.com/credativ/pg_snakeoil.git
-
-Package: postgresql-9.3-snakeoil
-Architecture: any
-Depends:
- clamav-freshclam | clamav-data,
- postgresql-9.3,
- ${misc:Depends},
- ${shlibs:Depends},
-Description: PostgreSQL anti-virus scanner based on ClamAV
- pg_snakeoil provides functions scanning PostgreSQL data for viruses using the
- ClamAV anti-virus engine.
 
 Package: postgresql-9.4-snakeoil
 Architecture: any

## pg-snakeoil 1.3~20220627.1422-3~1.gitee4639d.pgdg18.04+1

=== debian/changelog ===
pg-snakeoil (1.3~20220627.1422-3~1.gitee4639d.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 15:25:34 +0200

pg-snakeoil (1.3-3) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Oct 2021 15:25:34 +0200

pg-snakeoil (1.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 10.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Christoph Berg ]
  * Upload for PostgreSQL 13.
  * Use dh --with pgxs.
  * R³: no.
  * DH 13.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 11:45:56 +0200

pg-snakeoil (1.3-1) unstable; urgency=medium

  * Make signature directory configurable via pg_snakeoil.signature_dir.
    (Closes: #946359)

 -- Christoph Berg <myon@debian.org>  Wed, 18 Dec 2019 10:42:59 +0100

pg-snakeoil (1.2-1) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Tue, 29 Oct 2019 13:40:03 +0100

=== debian/control ===
Source: pg-snakeoil
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends:
 debhelper (>= 11),
 libclamav-dev,
 postgresql-all (>= 217~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://github.com/credativ/pg_snakeoil
Vcs-Git: https://github.com/credativ/pg_snakeoil.git

Package: postgresql-10-snakeoil
Architecture: any
Depends:
 postgresql-10,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 clamav-freshclam | clamav-data,
Description: PostgreSQL anti-virus scanner based on ClamAV
 pg_snakeoil provides functions scanning PostgreSQL data for viruses using the
 ClamAV anti-virus engine.

Package: postgresql-11-snakeoil
Architecture: any
Depends:
 postgresql-11,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 clamav-freshclam | clamav-data,
Description: PostgreSQL anti-virus scanner based on ClamAV
 pg_snakeoil provides functions scanning PostgreSQL data for viruses using the
 ClamAV anti-virus engine.

Package: postgresql-12-snakeoil
Architecture: any
Depends:
 postgresql-12,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 clamav-freshclam | clamav-data,
Description: PostgreSQL anti-virus scanner based on ClamAV
 pg_snakeoil provides functions scanning PostgreSQL data for viruses using the
 ClamAV anti-virus engine.

Package: postgresql-13-snakeoil
Architecture: any
Depends:
 postgresql-13,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 clamav-freshclam | clamav-data,
Description: PostgreSQL anti-virus scanner based on ClamAV
 pg_snakeoil provides functions scanning PostgreSQL data for viruses using the
 ClamAV anti-virus engine.

Package: postgresql-14-snakeoil
Architecture: any
Depends:
 postgresql-14,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 clamav-freshclam | clamav-data,
Description: PostgreSQL anti-virus scanner based on ClamAV
 pg_snakeoil provides functions scanning PostgreSQL data for viruses using the
 ClamAV anti-virus engine.

## pg-snakeoil 1.3~20220627.1422-3~1.gitee4639d.pgdg20.04+1

=== debian/changelog ===
pg-snakeoil (1.3~20220627.1422-3~1.gitee4639d.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 15:25:34 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 12),
  libclamav-dev,
  postgresql-all (>= 217~),
 Standards-Version: 4.5.0

## pg-snakeoil 1.3~20220627.1422-3~1.gitee4639d.pgdg21.10+1

=== debian/changelog ===
pg-snakeoil (1.3~20220627.1422-3~1.gitee4639d.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 15:25:34 +0200

## pg-snakeoil 1.3~20220627.1422-3~1.gitee4639d.pgdg22.04+1

=== debian/changelog ===
pg-snakeoil (1.3~20220627.1422-3~1.gitee4639d.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 15:25:34 +0200

## pg-snakeoil 1.3~20220627.1422-3~1.gitee4639d.pgdg90+1

=== debian/changelog ===
pg-snakeoil (1.3~20220627.1422-3~1.gitee4639d.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 15:25:34 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper (>= 12),
+ debhelper (>= 10),
  libclamav-dev,
  postgresql-all (>= 217~),
 Standards-Version: 4.5.0

## pg-snakeoil 1.3~20220627.1422-3~1.gitee4639d.pgdg100+1

=== debian/changelog ===
pg-snakeoil (1.3~20220627.1422-3~1.gitee4639d.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 15:25:34 +0200

## pg-snakeoil 1.3~20220627.1422-3~1.gitee4639d.pgdg110+1

=== debian/changelog ===
pg-snakeoil (1.3~20220627.1422-3~1.gitee4639d.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 15:25:34 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  libclamav-dev,
  postgresql-all (>= 217~),
 Standards-Version: 4.5.0

## pg-snakeoil 1.3~20220627.1422-3~1.gitee4639d.pgdg120+1

=== debian/changelog ===
pg-snakeoil (1.3~20220627.1422-3~1.gitee4639d.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 15:25:34 +0200

## pg-snakeoil 1.3~20220627.1422-3~1.gitee4639d.pgdg+1

=== debian/changelog ===
pg-snakeoil (1.3~20220627.1422-3~1.gitee4639d.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 15:25:34 +0200

## pg-snakeoil 1.3

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 EXTENSION = pg_snakeoil
 DATA = pg_snakeoil--0.4--1.sql \
-       pg_snakeoil--1.sql
+	   pg_snakeoil--1.sql
 PGFILEDESC = "pg_snakeoil - clamav antivirus integration"
 
 REGRESS = pg_snakeoil
@@ -16,3 +16,9 @@
 include $(PGXS)
 PG_LIBS=-lclamav
 SHLIB_LINK=-lclamav
+
+typedefs:
+	sh gen_typedefs
+
+pgindent:
+	pgindent --typedefs=$(MODULE_big).typedefs $(MODULE_big).c

=== debian/changelog ===
pg-snakeoil (1.3-4) unstable; urgency=medium

  * Upload for PostgreSQL 15.
  * debian/watch: Look at GitHub tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Oct 2022 11:01:50 +0200

=== debian/control ===
Source: pg-snakeoil
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libclamav-dev,
 postgresql-all (>= 217~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://github.com/credativ/pg_snakeoil
Vcs-Git: https://github.com/credativ/pg_snakeoil.git

Package: postgresql-15-snakeoil
Architecture: any
Depends:
 postgresql-15,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 clamav-freshclam | clamav-data,
Description: PostgreSQL anti-virus scanner based on ClamAV
 pg_snakeoil provides functions scanning PostgreSQL data for viruses using the
 ClamAV anti-virus engine.

=== debian/watch ===
version=4
https://github.com/credativ/pg_snakeoil/tags .*/v(.*).tar.gz

## pg-snakeoil 1.4

=== debian/changelog ===
pg-snakeoil (1.4-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 10:43:39 +0200

pg-snakeoil (1.4-1) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Sun, 17 Sep 2023 20:50:10 +0200

=== debian/control ===
Source: pg-snakeoil
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 libclamav-dev,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/df7cb/pg_snakeoil
Vcs-Browser: https://github.com/df7cb/pg_snakeoil
Vcs-Git: https://github.com/df7cb/pg_snakeoil.git

Package: postgresql-17-snakeoil
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Recommends:
 clamav-freshclam | clamav-data,
Description: PostgreSQL anti-virus scanner based on ClamAV
 pg_snakeoil provides functions scanning PostgreSQL data for viruses using the
 ClamAV anti-virus engine.

=== debian/watch ===
version=4
https://github.com/df7cb/pg_snakeoil/tags .*/v(.*).tar.gz
